cURL
curl --request GET \
--url https://sandbox.withclasp.com/enrollments \
--header 'Authorization: Bearer <token>'{
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "<string>",
"enrolled_plans": [
{
"id": "<string>",
"enrollment": "<string>",
"plan": "<string>",
"enrolled_dependents": [
{
"id": "<string>",
"plan": "<string>",
"dependent": "<string>",
"primary_care_provider": {
"id": "<string>",
"full_name": "<string>",
"is_existing_patient": true,
"provider_id_number": "<string>"
},
"volume": "<string>",
"requested_volume": "<string>",
"volume_approved_at": "2023-11-07T05:31:56Z",
"eoi_dismissed_at": "2023-11-07T05:31:56Z"
}
],
"primary_care_provider": {
"id": "<string>",
"full_name": "<string>",
"is_existing_patient": true,
"provider_id_number": "<string>"
},
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"premium": "<string>",
"employer_contribution": "<string>",
"member_contribution": "<string>",
"payroll_provider_external_id": "<string>",
"volume": "<string>",
"requested_volume": "<string>",
"volume_approved_at": "2023-11-07T05:31:56Z",
"eoi_dismissed_at": "2023-11-07T05:31:56Z"
}
],
"member": "<string>",
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"coverage_waivers": [
{
"member": "<string>",
"dependent": "<string>"
}
],
"change_date": "2023-12-25",
"qualifying_life_event_documents": [
"<string>"
],
"metadata": {}
}
]
}Enrollments
List Enrollments
Lists all enrollments under your provider.
GET
/
enrollments
cURL
curl --request GET \
--url https://sandbox.withclasp.com/enrollments \
--header 'Authorization: Bearer <token>'{
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "<string>",
"enrolled_plans": [
{
"id": "<string>",
"enrollment": "<string>",
"plan": "<string>",
"enrolled_dependents": [
{
"id": "<string>",
"plan": "<string>",
"dependent": "<string>",
"primary_care_provider": {
"id": "<string>",
"full_name": "<string>",
"is_existing_patient": true,
"provider_id_number": "<string>"
},
"volume": "<string>",
"requested_volume": "<string>",
"volume_approved_at": "2023-11-07T05:31:56Z",
"eoi_dismissed_at": "2023-11-07T05:31:56Z"
}
],
"primary_care_provider": {
"id": "<string>",
"full_name": "<string>",
"is_existing_patient": true,
"provider_id_number": "<string>"
},
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"premium": "<string>",
"employer_contribution": "<string>",
"member_contribution": "<string>",
"payroll_provider_external_id": "<string>",
"volume": "<string>",
"requested_volume": "<string>",
"volume_approved_at": "2023-11-07T05:31:56Z",
"eoi_dismissed_at": "2023-11-07T05:31:56Z"
}
],
"member": "<string>",
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"created_at": "2023-11-07T05:31:56Z",
"coverage_waivers": [
{
"member": "<string>",
"dependent": "<string>"
}
],
"change_date": "2023-12-25",
"qualifying_life_event_documents": [
"<string>"
],
"metadata": {}
}
]
}Authorizations
API Key authentication with required prefix "Bearer"
Query Parameters
The pagination cursor value.
Number of results to return per page.
Filter for enrollments that are enrolled in a specific plan.
Filter for enrollments for a specific employer.
⌘I